log4j.rootLogger=WARN, STDOUT, file
log4j.appender.STDOUT=org.apache.log4j.ConsoleAppender
log4j.appender.STDOUT.layout=org.apache.log4j.PatternLayout
log4j.appender.STDOUT.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss,SSS} %-5p %c{36}.%M:%L - %m%n
log4j.logger.org.erachain=WARN
## log4j.logger.org.eclipse.jetty.util.log.initialized:186 - Logging initialized @1810ms
##log4j.logger.org.eclipse.jetty.server.Server=DEBUG
##log4j.logger.org.eclipse.jetty.server.handler=DEBUG
# controller
log4j.logger.Controller=INFO
# core
log4j.logger.Block=INFO
log4j.logger.Synchronizer=WARN
##log4j.logger.BlockBuffer=DEBUG
##log4j.logger.BlockChain=DEBUG
log4j.logger.BlockGenerator=DEBUG
##log4j.logger.BlocksRequest=DEBUG
log4j.logger.TransactionsPool=DEBUG
##log4j.logger.WinBlockSelector=DEBUG
##log4j.logger.Wallet=DEBUG
# network
##log4j.logger.Network=DEBUG
##log4j.logger.ConnectionCreator=DEBUG
##log4j.logger.ConnectionAcceptor=DEBUG
##log4j.logger.Pinger=DEBUG
##log4j.logger.Peer=DEBUG
##log4j.logger.MessagesProcessor=DEBUG
##log4j.logger.Sender=DEBUG
# datachain
log4j.logger.DCSet=INFO
##log4j.logger.DBMap=DEBUG
##log4j.logger.BlockMap=DEBUG
##log4j.logger.TransactionMap=DEBUG
#
##log4j.logger.TelegramManager=DEBUG
# extended
log4j.logger.org.eclipse=INFO
log4j.appender.file=org.apache.log4j.RollingFileAppender
log4j.appender.file.File=logs/log.txt
log4j.appender.file.MaxFileSize=10MB
log4j.appender.file.MaxBackupIndex=8
log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss,SSS} %-5p %c{36}.%M:%L - %m%n